Network
=======

SocketServer
------------
..  doxygenclass:: paddle::SocketServer
    :members:

SocketWorker
------------
..  doxygenclass:: paddle::SocketWorker
    :members:

SocketClient
------------
..  doxygenclass:: paddle::SocketClient
    :members:

SocketChannel
-------------
..  doxygenclass:: paddle::SocketChannel
    :members:

MessageReader
-------------
..  doxygenclass:: paddle::MsgReader
    :members:
